apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata: 
  name: letsencrypt-prod
spec:
  acme:
    email: letsencrypt@evgo.com
    privateKeySecretRef:
      name: letsencrypt-prod-dns
    server: https://acme-v02.api.letsencrypt.org/directory
    solvers:
    - dns01:
        route53:
          hostedZoneID: Z2FMDLT08NXO42 # public zone in main account
          region: {{ .Values.region }}
          role: "arn:aws:iam::{{ .Values.centralAccountId }}:role/cert-manager"
      selector:
        dnsZones:
        {{- range .Values.dnsZones }}
        - {{ . }}
        {{- end -}}